claw::graph< S, A, Comp >::graph_edge_iterator Class Reference

Iterator on the graph's edges. More...

`#include <graph.hpp>`

## Classes

class | edge
| Value pointed by the iterator. More...

## Public Types

typedef const edge | value_type
typedef const edge & | reference
typedef const edge *const | pointer
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category

## Public Member Functions

graph_edge_iterator & | operator++ ()
graph_edge_iterator | operator++ (int)
graph_edge_iterator & | operator-- ()
graph_edge_iterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const
bool | operator== (const graph_edge_iterator &it) const
bool | operator!= (const graph_edge_iterator &it) const

## Friends

class | graph< vertex_type, edge_type, vertex_compare >

## Detailed Description

template<class S, class A = meta::no_type, class Comp = std::less<S>>
class claw::graph< S, A, Comp >::graph_edge_iterator

Iterator on the graph's edges.

Definition at line 144 of file graph.hpp.

## Member Typedef Documentation

## difference_type

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef ptrdiff_t claw::graph< S, A, Comp >::graph_edge_iterator::difference_type

Definition at line 177 of file graph.hpp.

## iterator_category

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef std::bidirectional_iterator_tag claw::graph< S, A, Comp >::graph_edge_iterator::iterator_category

Definition at line 179 of file graph.hpp.

## pointer

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const edge* const claw::graph< S, A, Comp >::graph_edge_iterator::pointer

Definition at line 176 of file graph.hpp.

## reference

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const edge& claw::graph< S, A, Comp >::graph_edge_iterator::reference

Definition at line 175 of file graph.hpp.

## value_type

template<class S, class A = meta::no_type, class Comp = std::less<S>>

typedef const edge claw::graph< S, A, Comp >::graph_edge_iterator::value_type

Definition at line 174 of file graph.hpp.

## Friends And Related Symbol Documentation

## graph< vertex_type, edge_type, vertex_compare >

template<class S, class A = meta::no_type, class Comp = std::less<S>>

friend class graph< vertex_type, edge_type, vertex_compare >

friend

Definition at line 136 of file graph.hpp.

The documentation for this class was generated from the following file:

- graph.hpp